package cn.ibizlab.businesscentral.core.extensions.service;

import cn.ibizlab.businesscentral.core.sales.service.impl.LeadServiceImpl;
import lombok.extern.slf4j.Slf4j;
import cn.ibizlab.businesscentral.core.sales.domain.Lead;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.context.annotation.Primary;
import java.util.*;

/**
 * 实体[潜在顾客] 自定义服务对象
 */
@Slf4j
@Primary
@Service("LeadServiceEx")
public class LeadServiceEx extends LeadServiceImpl {

    @Override
    protected Class currentModelClass() {
        return com.baomidou.mybatisplus.core.toolkit.ReflectionKit.getSuperClassGenericType(this.getClass().getSuperclass(), 1);
    }

    /**
     * 自定义行为[DisQualification]用户扩展
     * @param et
     * @return
     */
    @Override
    @Transactional
    public Lead disQualification(Lead et) {
        return super.disQualification(et);
    }
    /**
     * 自定义行为[Qualification]用户扩展
     * @param et
     * @return
     */
    @Override
    @Transactional
    public Lead qualification(Lead et) {
        return super.qualification(et);
    }
}

